<?php
/**
* @copyright Copyright (C) 2009 JoomlaPraise. All rights reserved.
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<?php // Detecting Home
$menu = & JSite::getMenu();
if ($menu->getActive() == $menu->getDefault()) {
$siteHome = 1;
}

// Detecting Active Component
$pageOption = JRequest::getVar('option', '');
$layout = JRequest::getCmd('layout', '');
$task = JRequest::getCmd('task', '');

// set custom template theme for user
$user = &JFactory::getUser();
if( !is_null( JRequest::getCmd('templateTheme', NULL) ) ) {
$user->setParam($this->template.'_theme', JRequest::getCmd('templateTheme'));
$user->save(true);
}

if($user->getParam($this->template.'_theme')) {
$this->params->set('templateTheme', $user->getParam($this->template.'_theme'));
}

if($task == "edit" || $layout == "form" ) {
$fullWidth = 1;
}
?>
<jdoc:include type="head" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/general.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/css/template.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/css/<?php echo $this->params->get('templateTheme'); ?>.css" type="text/css" />
<!--[if IE ]>
<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/css/ie.css" type="text/css" />
<![endif]-->
<style type="text/css">
<?php if($this->params->get('fontFamily') == "times") { ?>
body{font-family:"Times New Roman", Times, serif;}
<?php } elseif($this->params->get('fontFamily') == "courier") { ?>
body{font-family:"Courier New", Courier, monospace;}
<?php } elseif($this->params->get('fontFamily') == "georgia") { ?>
body{font-family:Georgia,"Times New Roman", Times, serif;}
<?php } ?>
<?php if($this->params->get('headingFontFamily') == "arial") { ?>
h1, h2, h3, h4, h5, h6, .componentheading, .contentheading{font-family:Arial, Helvetica, sans-serif;}
<?php } elseif($this->params->get('headingFontFamily') == "times") { ?>
h1, h2, h3, h4, h5, h6, .componentheading, .contentheading{font-family:"Times New Roman", Times, serif;}
<?php } elseif($this->params->get('headingFontFamily') == "courier") { ?>
h1, h2, h3, h4, h5, h6, .componentheading, .contentheading{font-family:"Courier New", Courier, monospace;}
<?php } ?>
<?php if(($this->countModules('left') == 0) && ($this->countModules('right') == 0)) { ?>
#mainbody {width:100%;} #content {width:100%;}
<?php } ?>
<?php if(($this->countModules('left') >= 1) && ($this->countModules('right') == 0)) { ?>
#content {width:100%;}
<?php } ?>
<?php if(($this->countModules('left') == 0) && ($this->countModules('right') >= 1)) { ?>
#mainbody {width:100%;} #content{width:73.681%;} #sidebar2{width:22.404%;}
<?php } ?>
<?php if($this->params->get('customWidth')) { ?>
.width {width:<?php echo $this->params->get('customWidth');?>;}
<?php } ?>
<?php if($this->params->get('fontColor')){ ?>
body{color:<?php echo $this->params->get('fontColor'); ?>}
<?php } ?>
<?php if($this->params->get('headingColor')){ ?>
h1, h2, h3, h4, h5, h6, .componentheading, .contentheading{color:<?php echo $this->params->get('headingColor'); ?>}
<?php } ?>
<?php if($this->params->get('linkColor')){ ?>
a:link, a:active, a:visited{color:<?php echo $this->params->get('linkColor'); ?>}
<?php } ?>
<?php if($this->params->get('linkHoverColor')){ ?>
a:hover{color:<?php echo $this->params->get('linkHoverColor'); ?>}
<?php } ?>
<?php if($this->params->get('elementHeight')){ ?>
#elements .moduletable, #elements .moduletable_menu, #elements .moduletable_text, #elements .moduletable-ms1, #elements .moduletable-ms2, #elements .moduletable-ms3, #elements .moduletable-ms4{height:<?php echo $this->params->get('elementHeight'); ?>;}
<?php } ?>
<?php if($this->params->get('bottomHeight')){ ?>
#bottom .moduletable, #bottom .moduletable_menu, #bottom .moduletable_text, #bottom .moduletable-ms1, #bottom .moduletable-ms2, #bottom .moduletable-ms3, #bottom .moduletable-ms4{height:<?php echo $this->params->get('bottomHeight'); ?>;}
<?php } ?>
<?php if($this->params->get('footerHeight')){ ?>
#footer .moduletable, #footer .moduletable_menu, #footer .moduletable_text, #footer .moduletable-ms1, #footer .moduletable-ms2, #footer .moduletable-ms3, #footer .moduletable-ms4{height:<?php echo $this->params->get('footerHeight'); ?>;}
<?php } ?>
<?php if($this->params->get('headerBackground')){ ?>
#header .width{background:url(<?php echo $this->baseurl; ?>/templates/<?php echo $this->template ?>/images/<?php echo $this->params->get('headerBackground'); ?>.png) no-repeat 50% 0;}
<?php } ?>
<?php if($fullWidth){ ?>
#mainbody{width:100%;} #content{width:100%;} #sidebar{display:none;} #sidebar2{display:none;}
<?php } ?>
</style>
</head>
<body>
<?php if (($this->countModules('user3')) || ($this->countModules('user4'))) { ?>
<div id="toolbar">
  <div class="width">
    <div class="inside">
      <?php if ($this->countModules('user3')) { ?>
      <div id="mainmenu">
        <jdoc:include type="modules" name="user3" />
        <div class="clr"></div>
      </div>
      <?php } ?>
      <?php if ($this->countModules('user4')) { ?>
      <div id="search">
        <jdoc:include type="modules" name="user4" />
        <div class="clr"></div>
      </div>
      <?php } ?>
      <div class="clr"></div>
    </div>
  </div>
</div>
<?php } ?>
<?php if (($this->countModules('inset1')) || ($this->countModules('inset2'))) { ?>
<div id="inset">
  <div class="width">
    <div class="inside">
      <?php if ($this->countModules('inset1')) { ?>
      <div id="submenu">
        <jdoc:include type="modules" name="inset1" />
        <div class="clr"></div>
      </div>
      <?php } ?>
      <?php if ($this->countModules('inset2')) { ?>
      <div id="register">
        <jdoc:include type="modules" name="inset2" />
        <div class="clr"></div>
      </div>
      <?php } ?>
      <div class="clr"></div>
    </div>
  </div>
</div>
<?php } ?>
<div id="header">
  <div class="width">
    <div class="inside">
      <div id="header-l"> <a href="<?php echo $mainframe->getCfg('live_site'); ?>" id="logo" title="<?php echo $mainframe->getCfg('sitename'); ?>">
        <h1><?php echo $mainframe->getCfg('sitename'); ?></h1>
        </a>
        <div class="clr"></div>
        <?php if ($this->countModules('advert1')) { ?>
        <jdoc:include type="modules" name="advert1" style="xhtml" />
        <?php } ?>
      </div>
      <?php if ($this->countModules('advert2')) { ?>
      <div id="header-r">
        <jdoc:include type="modules" name="advert2" />
      </div>
      <?php } ?>
      <div class="clr"></div>
    </div>
  </div>
</div>
<div id="container">
  <div id="container-inner">
    <div class="width">
      <div id="container-inner2">
        <div id="container-inner3">
          <div id="container-inner4">
            <div id="container-inner5">
              <div id="container-inner6">
                <div id="container-inner7">
                  <?php if (($this->countModules('user1')) || ($this->countModules('user2')) || ($this->countModules('top'))) { ?>
                  <table width="100%" id="elements">
                    <tr>
                      <?php if ($this->countModules('user1')) { ?>
                      <td id="elements-l"><jdoc:include type="modules" name="user1" style="xhtml" /></td>
                      <?php } ?>
                      <?php if ($this->countModules('user2')) { ?>
                      <td id="elements-m"><jdoc:include type="modules" name="user2" style="xhtml" /></td>
                      <?php } ?>
                      <?php if ($this->countModules('top')) { ?>
                      <td id="elements-r"><jdoc:include type="modules" name="top" style="xhtml" /></td>
                      <?php } ?>
                    </tr>
                  </table>
                  <?php } ?>
                  <div class="clr"></div>
                  <div id="mainbody">
                    <jdoc:include type="message" />
                    <?php if ($this->countModules('breadcrumb')) { ?>
                    <div id="pathway">
                      <jdoc:include type="modules" name="breadcrumb" />
                    </div>
                    <?php } ?>
                    <div class="clr"></div>
                    <div id="content"> 
                      <jdoc:include type="modules" name="contenttop" style="xhtml" />
                      <jdoc:include type="component" />
                      <jdoc:include type="modules" name="contentbottom" style="xhtml" />
                    </div>
                    <?php if ($this->countModules('right')) { ?>
                    <div id="sidebar2">
                      <jdoc:include type="modules" name="right" style="rounded" />
                    </div>
                    <?php } ?>
                    <div class="clr"></div>
                  </div>
                  <?php if ($this->countModules('left')) { ?>
                  <div id="sidebar">
                    <jdoc:include type="modules" name="left" style="xhtml" />
                  </div>
                  <?php } ?>
                  <div class="clr"></div>
                  <?php if (($this->countModules('footer')) || ($this->countModules('user5'))) { ?>
                  <div id="copyright">
                    <?php if ($this->countModules('footer')) { ?>
                    <div id="copy">
                      <jdoc:include type="modules" name="footer" />
                      <?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
 
                                                                                                                                                                                                                                                                                                                                                                           <div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>
 
                    <?php } ?>                     </div>
                    <?php } ?>
                    <?php if ($this->countModules('user5')) { ?>
                    <div id="link">
                      <jdoc:include type="modules" name="user5" />
                    </div>
                    <?php } ?>
                    <div class="clr"></div>
                  </div>
                  <?php } ?>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div id="bottom">
  <div class="width">
    <div class="inside">
      <?php if (($this->countModules('bottom1')) || ($this->countModules('bottom2')) || ($this->countModules('bottom3'))) { ?>
      <table width="100%" id="bottom">
        <tr>
          <?php if ($this->countModules('bottom1')) { ?>
          <td id="bottom-l"><jdoc:include type="modules" name="bottom1" style="xhtml" /></td>
          <?php } ?>
          <?php if ($this->countModules('bottom2')) { ?>
          <td id="bottom-m"><jdoc:include type="modules" name="bottom2" style="xhtml" /></td>
          <?php } ?>
          <?php if ($this->countModules('bottom3')) { ?>
          <td id="bottom-r"><jdoc:include type="modules" name="bottom3" style="xhtml" /></td>
          <?php } ?>
        </tr>
      </table>
      <?php } ?>
      <div class="clr"></div>
    </div>
  </div>
</div>
<div id="footer">
  <div class="width">
    <div class="inside">
      <?php if (($this->countModules('footer1')) || ($this->countModules('footer2')) || ($this->countModules('footer3'))) { ?>
      <table width="100%" id="footer">
        <tr>
          <?php if ($this->countModules('footer1')) { ?>
          <td id="footer-l"><jdoc:include type="modules" name="footer1" style="xhtml" /></td>
          <?php } ?>
          <?php if ($this->countModules('footer2')) { ?>
          <td id="footer-m"><jdoc:include type="modules" name="footer2" style="xhtml" /></td>
          <?php } ?>
          <?php if ($this->countModules('footer3')) { ?>
          <td id="footer-r"><jdoc:include type="modules" name="footer3" style="xhtml" /></td>
          <?php } ?>
        </tr>
      </table>
      <?php } ?>
      <div class="clr"></div>
    </div>
  </div>
</div>
</body>
</html>
